GDB (xrefs)

Public Member Functions | List of all members
gdb.command.unwinders.EnableUnwinder Class Reference
Inheritance diagram for gdb.command.unwinders.EnableUnwinder:

## Public Member Functions
def | __init__ (self)
def | invoke (self, arg, from_tty)
def | __init__ (self)
def | invoke (self, arg, from_tty)

## Detailed Description

    GDB command to enable unwinders.

    Usage: enable unwinder [locus-regexp [name-regexp]]

    LOCUS-REGEXP is a regular expression specifying the unwinders to
    enable.  It can 'global', 'progspace', or the name of an objfile
    within that progspace.

    NAME_REGEXP is a regular expression to filter unwinder names.  If
    this omitted for a specified locus, then all registered unwinders
    in the locus are affected.

Definition at line 145 of file unwinders.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.command.unwinders.EnableUnwinder.__init__ | ( |  | self | ) |

Definition at line 160 of file unwinders.py.

Referenced by gdb.command.unwinders.EnableUnwinder.__init__().

## ◆ __init__() [2/2]

def gdb.command.unwinders.EnableUnwinder.__init__ | ( |  | self | ) |

Definition at line 160 of file unwinders.py.

References gdb.command.unwinders.EnableUnwinder.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.command.unwinders.EnableUnwinder.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

    GDB calls this to perform the command.

Definition at line 164 of file unwinders.py.

References gdb.command.unwinders.do_enable_unwinder().

Referenced by gdb.command.unwinders.EnableUnwinder.invoke().

## ◆ invoke() [2/2]

def gdb.command.unwinders.EnableUnwinder.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

    GDB calls this to perform the command.

Definition at line 164 of file unwinders.py.

References gdb.command.unwinders.do_enable_unwinder(), and gdb.command.unwinders.EnableUnwinder.invoke().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/unwinders.py